Name: libsepol
Version: 1.16.12
Release: alt1
License: LGPL
Url: http://www.nsa.gov/selinux
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: http://www.nsa.gov/selinux/archives/%name-%version.tgz
Summary: %name library, which provides an interface for manipulating SELinux binary policies
Group: System/Libraries
%description
Security Enhanced Linux policy library for changing policy binaries
Security-enhanced Linux is a patch of the Linux kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement(R), Role-based Access
Control, and Multi-level Security.

libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.
%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version
%description devel
Security Enhanced Linux policy library for changing policy binaries
Security-enhanced Linux is a patch of the Linux kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement(R), Role-based Access
Control, and Multi-level Security.

libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.
%package devel-static
Summary: Static development files for %name
Group: Development/C
%description devel-static
Security Enhanced Linux policy library for changing policy binaries
Security-enhanced Linux is a patch of the Linux kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement(R), Role-based Access
Control, and Multi-level Security.

libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.

%package utils
Summary: Utils for checking and mainplating policy binaries Security-enhanced Linux
Group: System/Configuration/Other
%description utils
Security Enhanced Linux policy library for changing policy binaries
Security-enhanced Linux is a patch of the Linux kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement(R), Role-based Access
Control, and Multi-level Security.

libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.

%prep
%setup

%build
%make_build

%install
%make DESTDIR=%buildroot install
%ifarch x86_64
mv %buildroot/lib %buildroot/lib64
mv %buildroot%_libexecdir %buildroot%_libdir
ln -sf ../../lib64/%name.so.1 %buildroot%_libdir/%name.so
%endif

%post -p %post_ldconfig

%postun -p %post_ldconfig

%files
%ifarch x86_64
/lib64/*.so.*
%else
/lib/*.so.*
%endif
%_man3dir/*
%_man8dir/*

%files devel
%_libdir/*.so
%_includedir/sepol

%files devel-static
%_libdir/*.a

%files utils
%_bindir/*

%changelog
* Sun Mar 09 2008 Eugene Ostapets <eostapets@altlinux.ru> 1.16.12-alt1
- Initial build
